﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		RadTileViewItem indicatedTile;
		private void RadTileView_PreviewTileStateChanged(object sender, Telerik.Windows.Controls.PreviewTileStateChangedEventArgs e)
		{
			e.Handled = true;

			RadTileViewItem tile = e.OriginalSource as RadTileViewItem;
			RadTileView tileView = sender as RadTileView;

			if (tile.TileState == TileViewItemState.Maximized)
			{
				RadTileViewItem newMaximizedTile = new RadTileViewItem();
				newMaximizedTile.Header = tile.Header;
				newMaximizedTile.Content = tile.Content;
				newMaximizedTile.TileState = TileViewItemState.Maximized;
				maximizedTile.Items.Clear();
				maximizedTile.Items.Add(newMaximizedTile);
				maximizedTile.Visibility = System.Windows.Visibility.Visible;

				if (indicatedTile != tile && indicatedTile!= null)
					indicatedTile.BorderThickness = new Thickness(1);
				//foreach (RadTileViewItem item in tileView.Items)
				//{
				//    if (item != tile && item.BorderThickness != new Thickness(1))
				//    {
				//        item.BorderThickness = new Thickness(1);
				//    }
				//}

				tile.BorderThickness = new Thickness(3);
				indicatedTile = tile;

				tileView.RowHeight = new GridLength(150);
				tileView.ColumnWidth = new GridLength(150);

			}
		}

		private void maximezedTile_PreviewTilesStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileView tileView = sender as RadTileView;
			e.Handled = true;
			tileView.Items.Clear();
			tileView.Visibility = Visibility.Collapsed;

			originalTileView.RowHeight = new GridLength(1, GridUnitType.Star);
			originalTileView.ColumnWidth = new GridLength(1, GridUnitType.Star);

			indicatedTile.BorderThickness = new Thickness(1);
		}
	}
}
